<template>
	<f7-page name="accountfamily" @page:beforein="onPageBeforeIn" @page:beforeout="onPageBeforeOut">
		<!-- Top Navbar -->
		<f7-navbar :sliding="false" large>
			<f7-nav-left back-link>
            </f7-nav-left>
            <f7-nav-title class="show-small-title">Akun</f7-nav-title>
            <f7-nav-title-large>Anggota Keluarga</f7-nav-title-large>
		</f7-navbar>
        <f7-list media-list no-hairlines v-if="user.childs.length > 0">
            <f7-list-item
                :link="false"
                :title="child.profile.fullname"
                :after="relationshipStatus(child.profile.fullname)"
                :subtitle="child.profile.phone"
                :text="`${child.profile.gender == 'm' ? 'Laki-Laki' : 'Perempuan'}, ${calculateAge(child.profile.birthday)} Tahun`"
                v-for="child in user.childs"
                v-bind:key="child.id"
            >
                <img v-if="child.media != null" slot="media" :src="child.media.url.small" width="64" />
                <div v-else :data-initial-large="child.profile.initial"></div>
            </f7-list-item>            
        </f7-list>
        <span v-else class="display-block text-align-center margin">No Data</span>
    </f7-page>
</template>
<script>
import moment from 'moment';
import { mapGetters } from 'vuex';
import { dateFormat, capitalize } from '../js/utils';
export default {
    name: 'AccountFamily',
    data(){
        return{};
    },
    computed: {
        ...mapGetters('auth', ['user'])
    },
    methods: {
        dateFormat,
        calculateAge(birthday){
            const age = moment().diff(birthday, 'years');
            return age;
        },
        relationshipStatus(status){
            if(status == 'husband'){
                return 'Suami';
            }else if(status == 'wife'){
                return 'Istri';
            }else if(status == 'children'){
                return 'Anak';
            }else if(status == 'parents'){
                return 'Orang Tua';
            }else if(status == 'sibling'){
                return 'Saudara Kandung';
            }else if(status == 'cousin'){
                return 'Sepupu';
            }else if(status == 'newphew'){
                return 'Keponakan';
            }else if(status == 'assistant'){
                return 'Asisten Rumah Tangga';
            }
        },
        onPageBeforeIn(){
            const self = this;
        },
        onPageBeforeOut(page){
            const self = this;
        }
    },
}
</script>
